# OpalZrtp Class Reference

`#include <opalzrtp.h>`

Collaboration diagram for OpalZrtp:

[legend]

## Public Member Functions

virtual | ~OpalZrtp ()

## Static Public Member Functions

static bool | Init (char *name, char *zidFile)
static bool | Init (OpalZrtp *opalZrtp)
static bool | DeInit ()
static zrtp_global_ctx * | GetZrtpContext ()
static unsigned char * | GetZID ()
static void | SetEventProcessor (ZrtpEventProcessor *eventProcessor)
static ZrtpEventProcessor * | GetEventProcessor ()

## Protected Member Functions

virtual unsigned char * | DoGetZID ()
virtual zrtp_global_ctx * | DoGetZrtpContext ()
virtual bool | DoInit (char *name, char *zidFile)

## Constructor & Destructor Documentation

virtual OpalZrtp::~OpalZrtp | ( |  | ) | `[virtual]`

## Member Function Documentation

static bool OpalZrtp::DeInit | ( |  | ) | `[static]`

virtual unsigned char* OpalZrtp::DoGetZID | ( |  | ) | `[protected, virtual]`

virtual zrtp_global_ctx* OpalZrtp::DoGetZrtpContext | ( |  | ) | `[protected, virtual]`

virtual bool OpalZrtp::DoInit | ( | char * | name,
|  | char * | zidFile |
| ) |  |  | `[protected, virtual]`

static ZrtpEventProcessor* OpalZrtp::GetEventProcessor | ( |  | ) | `[static]`

static unsigned char* OpalZrtp::GetZID | ( |  | ) | `[static]`

static zrtp_global_ctx* OpalZrtp::GetZrtpContext | ( |  | ) | `[static]`

static bool OpalZrtp::Init | ( | OpalZrtp * | opalZrtp | ) | `[static]`

static bool OpalZrtp::Init | ( | char * | name,
|  | char * | zidFile |
| ) |  |  | `[static]`

static void OpalZrtp::SetEventProcessor | ( | ZrtpEventProcessor * | eventProcessor | ) | `[static]`

The documentation for this class was generated from the following file:

- opalzrtp.h